events.listen('recipes', function (e) {

  //Copper
  stoneCutter('create:copper_block', [{"item": 'tconstruct:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'mekanism:block_copper'}, {"item": 'immersiveengineering:storage_copper'}, {"item": 'iceandfire:copper_block'}, {"item": 'bluepower:copper_block'}])
  stoneCutter('tconstruct:copper_block', [{"item": 'create:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'mekanism:block_copper'}, {"item": 'immersiveengineering:storage_copper'}, {"item": 'iceandfire:copper_block'}, {"item": 'bluepower:copper_block'}])
  stoneCutter('thermal:copper_block', [{"item": 'create:copper_block'}, {"item": 'tconstruct:copper_block'}, {"item": 'mekanism:block_copper'}, {"item": 'immersiveengineering:storage_copper'}, {"item": 'iceandfire:copper_block'}, {"item": 'bluepower:copper_block'}])
  stoneCutter('mekanism:block_copper', [{"item": 'create:copper_block'}, {"item": 'tconstruct:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'immersiveengineering:storage_copper'}, {"item": 'iceandfire:copper_block'}, {"item": 'bluepower:copper_block'}])
  stoneCutter('immersiveengineering:storage_copper', [{"item": 'create:copper_block'}, {"item": 'tconstruct:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'mekanism:block_copper'}, {"item": 'iceandfire:copper_block'}, {"item": 'bluepower:copper_block'}])
  stoneCutter( 'iceandfire:copper_block', [{"item": 'create:copper_block'}, {"item": 'tconstruct:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'mekanism:block_copper'}, {"item":'immersiveengineering:storage_copper'}, {"item": 'bluepower:copper_block'}])
  stoneCutter( 'bluepower:copper_block', [{"item": 'create:copper_block'}, {"item": 'tconstruct:copper_block'}, {"item": 'thermal:copper_block'}, {"item": 'mekanism:block_copper'}, {"item":'immersiveengineering:storage_copper'}, {"item": 'iceandfire:copper_block'}])

  //Uranium
  stoneCutter( 'mekanism:block_uranium', [{"item": 'immersiveengineering:storage_uranium'}])
  stoneCutter( 'immersiveengineering:storage_uranium', [{"item": 'mekanism:block_uranium'}])

  //Bronze
  stoneCutter( 'thermal:bronze_block', [{"item": 'mekanism:block_bronze'}])
  stoneCutter( 'mekanism:block_bronze', [{"item": 'thermal:bronze_block'}])

  //Nickel
  stoneCutter( 'thermal:nickel_block', [{"item": 'immersiveengineering:storage_nickel'}])
  stoneCutter( 'immersiveengineering:storage_nickel', [{"item": 'thermal:nickel_block'}])

  //Constantan
  stoneCutter( 'thermal:constantan_block', [{"item": 'immersiveengineering:storage_constantan'}])
  stoneCutter( 'immersiveengineering:storage_constantan', [{"item": 'thermal:constantan_block'}])

  //Electrum
  stoneCutter( 'thermal:electrum_block', [{"item": 'immersiveengineering:storage_electrum'}])
  stoneCutter( 'immersiveengineering:storage_electrum', [{"item": 'thermal:electrum_block'}])

  //Zinc
  stoneCutter( 'create:zinc_block', [{"item": 'bluepower:zinc_block'}])
  stoneCutter( 'bluepower:zinc_block', [{"item": 'create:zinc_block'}])

  //Tin
  stoneCutter( 'thermal:tin_block', [{"item": 'mekanism:block_tin'}])
  stoneCutter( 'mekanism:block_tin', [{"item": 'thermal:tin_block'}])

  //Steel
  stoneCutter( 'mekanism:block_steel', [{"item": 'immersiveengineering:storage_steel'}])
  stoneCutter( 'immersiveengineering:storage_steel', [{"item": 'mekanism:block_steel'}])

  //Amethyst
  stoneCutter( 'bluepower:amethyst_block', [{"item": 'iceandfire:amythest_block'}])
  stoneCutter( 'iceandfire:amythest_block', [{"item": 'bluepower:amethyst_block'}])

  //Ruby
  stoneCutter( 'bluepower:ruby_block', [{"item": 'thermal:ruby_block'}, {"item": 'janoeo:ruby_block'}])
  stoneCutter( 'janoeo:ruby_block', [{"item": 'thermal:ruby_block'}, {"item": 'bluepower:ruby_block'}])
  stoneCutter( 'thermal:ruby_block', [{"item": 'bluepower:ruby_block'}, {"item": 'janoeo:ruby_block'}])

  //Sapphire
  stoneCutter( 'bluepower:sapphire_block', [{"item": 'thermal:sapphire_block'}, {"item": 'janoeo:sapphire_block'}, {"item": 'iceandfire:sapphire_block'}])
  stoneCutter( 'janoeo:sapphire_block', [{"item": 'thermal:sapphire_block'}, {"item": 'bluepower:sapphire_block'}, {"item": 'iceandfire:sapphire_block'}])
  stoneCutter( 'thermal:sapphire_block', [{"item": 'bluepower:sapphire_block'}, {"item": 'janoeo:sapphire_block'}, {"item": 'iceandfire:sapphire_block'}])
  stoneCutter( 'iceandfire:sapphire_block', [{"item": 'bluepower:sapphire_block'}, {"item": 'janoeo:sapphire_block'}, {"item": 'thermal:sapphire_block'}])

  //Lead
  stoneCutter( 'thermal:lead_block', [{"item": 'mekanism:block_lead'}, {"item": 'eidolon:lead_block'}, {"item": 'immersiveengineering:storage_lead'}])
  stoneCutter( 'mekanism:block_lead', [{"item": 'thermal:lead_block'}, {"item": 'eidolon:lead_block'}, {"item": 'immersiveengineering:storage_lead'}])
  stoneCutter( 'eidolon:lead_block', [{"item": 'thermal:lead_block'}, {"item": 'mekanism:block_lead'}, {"item": 'immersiveengineering:storage_lead'}])
  stoneCutter( 'immersiveengineering:storage_lead', [{"item": 'thermal:lead_block'}, {"item": 'mekanism:block_lead'}, {"item": 'eidolon:lead_block'}])

  //Silver
  stoneCutter( 'thermal:silver_block', [{"item": 'immersiveengineering:storage_silver'}, {"item": 'iceandfire:silver_block'}, {"item": 'bluepower:silver_block'}])
  stoneCutter( 'immersiveengineering:storage_silver', [{"item": 'thermal:silver_block'}, {"item": 'iceandfire:silver_block'}, {"item": 'bluepower:silver_block'}])
  stoneCutter( 'iceandfire:silver_block', [{"item": 'thermal:silver_block'}, {"item": 'immersiveengineering:storage_silver'}, {"item": 'bluepower:silver_block'}])
  stoneCutter( 'bluepower:silver_block', [{"item": 'thermal:silver_block'}, {"item": 'immersiveengineering:storage_silver'}, {"item": 'iceandfire:silver_block'}])

  function stoneCutter(output, input) {
  e.custom({"type": "minecraft:stonecutting","ingredient": input,"result": output,"count": 1})
}

})